WP6TableStylePacket Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
WP6TableStylePacket Class Reference

`#include <WP6TableStylePacket.h>`

Inheritance diagram for WP6TableStylePacket:

## Public Member Functions
| WP6TableStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6TableStylePacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *) const override
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6TableStylePacket (const WP6TableStylePacket &)
WP6TableStylePacket & | operator= (const WP6TableStylePacket &)

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## ◆ WP6TableStylePacket() [1/2]

WP6TableStylePacket::WP6TableStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

## ◆ ~WP6TableStylePacket()

WP6TableStylePacket::~WP6TableStylePacket | ( |  | ) |
| override

## ◆ WP6TableStylePacket() [2/2]

WP6TableStylePacket::WP6TableStylePacket | ( | const WP6TableStylePacket & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP6TableStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overridevirtual

Implements WP6PrefixDataPacket.

## ◆ operator=()

WP6TableStylePacket& WP6TableStylePacket::operator= | ( | const WP6TableStylePacket & |  | ) |
| private

## ◆ parse()

void WP6TableStylePacket::parse | ( | WP6Listener * |  | ) | const
| inlineoverridevirtual

Reimplemented from WP6PrefixDataPacket.

The documentation for this class was generated from the following files:

- WP6TableStylePacket.h
- WP6TableStylePacket.cpp